> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.2.0/installing-akamas/manage-anonymous-data-collection.md).

# Manage anonymous data collection

Akamas might collect anonymized usage information on running optimizations. Collection and tracking are disabled by default and can be manually enabled.

## Docker installation

External tracking is managed through the following environment variables:

* **AKAMAS\_TRACKER\_URL**: the target URL for all tracking info.
* **AKAMAS\_TRACKING\_OPT\_OUT**: when set to 1, disables anonymous data collection.

Tracking for a running instance can be enabled by editing the `AKAMAS_TRACKING_OPT_OUT` variable in the `docker-compose.yaml` file.

To enable tracking set the variable to the following value:

```bash
AKAMAS_TRACKING_OPT_OUT=0
```

Then issue the command:

```bash
docker-compose up -d
```

## Kubernetes installation

External tracking is managed through the field `trackingOptOut` in the `Values` file. To enable tracking set `trackingOptOut` to `0` as in the following example and upgrade the installation:

```yaml
awsAccessKeyId: "YOUR_ACCESSKEY_ID"
awsSecretAccessKey: "YOUR_SECRET_ACCESS_KEY"

trackingOptOut: 0
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.2.0/installing-akamas/manage-anonymous-data-collection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
